Modify

Opened 3 years ago

Closed 3 years ago

#12563 closed enhancement (fixed)

enhance preference key `statusbar.decimal-format` also for lat/lon

Reported by: Klumbumbus Owned by: team
Priority: normal Milestone: 16.02
Component: Core Version:
Keywords: template_report Cc:

Description

preference key statusbar.decimal-format from #12275 does not work for me. I tested with 2 different computers. After changing the value to 0.00 and a josm restart, it still displays only one decimal place. (Also note, that after the restart the format is reseted from xx°xx"xx' to decimal degrees.)


URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-02-23 02:11:42 +0100 (Tue, 23 Feb 2016)
Build-Date:2016-02-23 02:34:08
Revision:9854
Relative:URL: ^/trunk

Identification: JOSM/1.5 (9854 de) Windows 7 32-Bit
Memory Usage: 247 MB / 742 MB (81 MB allocated, but free)
Java version: 1.8.0_73-b02, Oracle Corporation, Java HotSpot(TM) Client VM
VM arguments: [-Djava.security.manager, -Djava.security.policy=file:C:\Program Files\Java\jre1.8.0_73\lib\security\javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>\bin, -Djnlpx.origFilenameArg=C:\Program Files\josm-latest-bla.jnlp, -Djnlpx.remove=false, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.heapsize=256m,768m, -Djnlpx.splashport=62059, -Djnlpx.jvm=<java.home>\bin\javaw.exe, -Djnlpx.vmargs=LURqYXZhLnV0aWwuQXJyYXlzLnVzZUxlZ2FjeU1lcmdlU29ydD10cnVlAA==]
Dataset consistency test: No problems found

Plugins:
- AddrInterpolation (31772)
- DirectDownload (31934)
- DirectUpload (31912)
- HouseNumberTaggingTool (31772)
- OpeningHoursEditor (31772)
- PicLayer (31895)
- RoadSigns (31895)
- apache-commons (31895)
- buildings_tools (31895)
- download_along (31772)
- editgpx (31772)
- imagery_offset_db (32046)
- importvec (31772)
- log4j (31895)
- measurement (31895)
- photo_geotagging (31895)
- photoadjust (32016)
- public_transport (31895)
- reltoolbox (31895)
- reverter (32005)
- tag2link (31910)
- tageditor (31772)
- tagging-preset-tester (31895)
- terracer (31895)
- turnlanes (31772)
- turnrestrictions (31895)
- undelete (31895)
- utilsplugin2 (32018)
- wikipedia (32058)

Attachments (2)

decimal-places.png (69.6 KB) - added by Klumbumbus 3 years ago.
....png (3.4 KB) - added by Klumbumbus 3 years ago.

Download all attachments as: .zip

Change History (12)

Changed 3 years ago by Klumbumbus

Attachment: decimal-places.png added

comment:1 Changed 3 years ago by simon04

statusbar.decimal-format applies to the distance, heading, angle text, but not the latitude/longitude. You are expecting the preference key to apply to the deg/min/sec display of latitude/longitude as well?

comment:2 in reply to:  1 Changed 3 years ago by Klumbumbus

Replying to simon04:

statusbar.decimal-format applies to the distance, heading, angle text, but not the latitude/longitude.

Ah, now I understand.

You are expecting the preference key to apply to the deg/min/sec display of latitude/longitude as well?

Yes :) see also http://forum.openstreetmap.org/viewtopic.php?id=53713

comment:3 Changed 3 years ago by Klumbumbus

Summary: preference key `statusbar.decimal-format` does not workenhance preference key `statusbar.decimal-format` also for lat/lon
Type: defectenhancement

comment:4 Changed 3 years ago by simon04

Resolution: fixed
Status: newclosed

In 9862/josm:

fix #12563 - Allow to customize LatLon formatting

Use the preference keys latlon.dms.decimal-format and
latlon.dm.decimal-format.

comment:5 Changed 3 years ago by simon04

Milestone: 16.02

comment:6 Changed 3 years ago by Don-vip

Locale/formatting issue in unit test:

org.openstreetmap.josm.data.coor.LatLonTest.testFormatting
expected:<47°00'00[,]0"N> but was:<47°00'00[.]0"N>

comment:7 Changed 3 years ago by simon04

In 9871/josm:

see #12563 - Fix unit test

comment:8 Changed 3 years ago by Klumbumbus

With latlon.dms.decimal-format=00.00 I see ...

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-02-25 01:51:43 +0100 (Thu, 25 Feb 2016)
Build-Date:2016-02-25 02:36:49
Revision:9881
Relative:URL: ^/trunk

Identification: JOSM/1.5 (9881 de) Windows 7 32-Bit
Memory Usage: 247 MB / 742 MB (140 MB allocated, but free)
Java version: 1.8.0_73-b02, Oracle Corporation, Java HotSpot(TM) Client VM
VM arguments: [-Djava.security.manager, -Djava.security.policy=file:C:\Program Files\Java\jre1.8.0_73\lib\security\javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>\bin, -Djnlpx.origFilenameArg=C:\Program Files\josm-latest-bla.jnlp, -Djnlpx.remove=false, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.heapsize=256m,768m, -Djnlpx.splashport=60968, -Djnlpx.jvm=<java.home>\bin\javaw.exe, -Djnlpx.vmargs=LURqYXZhLnV0aWwuQXJyYXlzLnVzZUxlZ2FjeU1lcmdlU29ydD10cnVlAA==]
Dataset consistency test: No problems found

Changed 3 years ago by Klumbumbus

Attachment: ....png added

comment:9 Changed 3 years ago by Klumbumbus

Resolution: fixed
Status: closedreopened

comment:10 Changed 3 years ago by simon04

Resolution: fixed
Status: reopenedclosed

In 9885/josm:

fix #12563 - Try to avoid ... in status bar for custom LatLon formats

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.